Subject: Re: Scanner Recommendations

From: AZ Pete via PLUG-discuss <[email-masked]>
Date: Sat, 10 May 2025 04:47:40 +0000

Hi All,
I thought I'd report back with my results.

At first I was going to go with the Espon ES-50. While Epson provides drivers for Linux, they don't "officially" support Linux. Whereas, Brother does officially support Linux. I also have a Brother laser printer that "just works" with all my other Linux machines. I ultimately went with a Brother DS-640.https://www.amazon.com/Brother-DS-640-Compact-Document-Scanner/dp/B083R36CY4

Got it today and plugged it in. I installed the driver downloaded from Brother (.deb package). I loaded Xsane per Der Hans' recommendation. Everything works just fine. About as plug and play as you can get. While Xsane works great, it's a bit to "full-featured" for me. I'm running Kubuntu, KDE has a built in app called Skanpage, that does a great job for me with a simpler interface.

Overall, very pleased with the whole experience.
And today I also received all the hard copy documents that I must now scan. :)

Peter

On 5/6/25 19:56, der.hans wrote:

> Am 07. May, 2025 schwätzte AZ Pete via PLUG-discuss so:
>
> moin moin,
>
>> All,
>> I've switched my "daily driver" computer to Linux (Kubuntu 24.04) and have been able to get almost everything working since my transition from Win 10 a few weeks ago. However, I cannot get my old Plustek scanner to work at all. Since it's so old, I'm just going to get a new one.
>>
>> I'm looking for a simple single page USB scanner (just like my old Plustek). What brand/model can someone recommend that they have found to work well under Linux? Also, what scanning utility is recommended? I'm looking for a GUI application. I don't scan a lot of documents, but occasionally (like now) I'm given some hard copies of important documents and I have to scan them into PDF format.
>
> I've been using xsane for scanning for many years. I only connect via USB.
>
> Brother has been supporting their printers and scanners on Linux for
> years. When I first bought mine the printer worked out of the box. At the
> time it required a proprietary driver for the scanner, but I didn't need
> to scan, so didn't install the driver. After upgrading to debian 12 xsane
> could recognize and use the scanner.
>
> I switched to Brother after tiring of HP messing with their printer
> inks. HP scanners probably still work well.
>
> For space reasons I've stuck with printer/scanner combos, though I only
> print things a couple times a year. Moving to Brother laser printer from
> HP inkjet has been the best thing for that.
>
> ciao,
>
> der.hans
> --
> #
> https://www.SpiralArray.com
>
> https://www.PhxLinux.org
> #  "We should not be building surveillance technology into standards.
> #  Law enforcement was not supposed to be easy.
> #  Where it is easy, it's called a police state."  -- Jeff Schiller

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss